maccatcher-2.1.5: Obtain the host MAC address on *NIX and Windows.

Safe Haskell | Safe-Inferred

Data.MAC

Description

A MAC address datatype, representing the six bytes of a MAC address, also known as an OID, IAB or "...Vendor Address, Vendor ID, NIC Address, Ethernet Address and others.", see http://standards.ieee.org/faqs/OUI.html#q4

# Documentation

data MAC Source

Constructors

MAC !Word8 !Word8 !Word8 !Word8 !Word8 !Word8 |

Instances

Bounded MAC |
Eq MAC |
Ord MAC |
Read MAC |
Show MAC |
Storable MAC |
Binary MAC |